package com.mh.web.controller.comprehensive;

import com.mh.common.core.controller.BaseController;
import com.mh.common.core.domain.AjaxResult;
import com.mh.common.core.domain.vo.EnergyConsumptionVO;
import com.mh.common.core.page.TableDataInfo;
import com.mh.common.utils.DateUtils;
import com.mh.system.service.overview.IBigScreenService;
import org.springframework.web.bind.annotation.*;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 大屏接口分析记录
 * @date 2025-03-21 11:43:11
 */
@RestController
@RequestMapping("/bigScreen")
public class BigScreenController extends BaseController {

    private final IBigScreenService bigScreenService;

    public BigScreenController(IBigScreenService bigScreenService) {
        this.bigScreenService = bigScreenService;
    }

    /**
     * 获取能耗总览和基本信息数据内容
     * @return
     */
    @PostMapping("/overview")
    public TableDataInfo overview(@RequestBody EnergyConsumptionVO vo){
        DateUtils.energyDateChange(vo);
        return getDataTable(bigScreenService.overview(vo));
    }

    /**
     * 获取子系统能耗
     * @return
     */
    @PostMapping("/subSystem")
    public TableDataInfo subSystem(@RequestBody EnergyConsumptionVO vo){
        DateUtils.energyDateChange(vo);
        return getDataTable(bigScreenService.subSystem(vo));
    }

    /**
     * 获取所有系统用电趋势
     * @return
     */
    @PostMapping("/systemTrend")
    public TableDataInfo systemTrend(@RequestBody EnergyConsumptionVO vo){
        DateUtils.energyDateChange(vo);
        return getDataTable(bigScreenService.systemTrend(vo));
    }

}
