package com.mh.web.controller.monitor;

import com.mh.common.core.controller.BaseController;
import com.mh.common.core.domain.dto.DeviceMonitorDTO;
import com.mh.common.core.page.TableDataInfo;
import com.mh.system.service.device.ICollectionParamsManageService;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 风柜监控系统
 * @date 2025-03-17 17:33:24
 */
@RestController
@RequestMapping("/device/ahu")
public class AirHandingUnitsMonitorController extends BaseController {

    private final ICollectionParamsManageService iCollectionParamsManageService;

    public AirHandingUnitsMonitorController(ICollectionParamsManageService iCollectionParamsManageService) {
        this.iCollectionParamsManageService = iCollectionParamsManageService;
    }

    /**
     * 获取监控列表内容数据
     */
    @GetMapping("/monitor/list")
    public TableDataInfo list(@RequestParam(name = "systemType") String systemType, @RequestParam(name = "houseId") String houseId)
    {
        List<DeviceMonitorDTO> list = iCollectionParamsManageService.selectMonitorListBySystemTypeAndHouseId(systemType, houseId);
        return getDataTable(list);
    }

}
