package com.mh.web.controller.policy;

import com.mh.common.core.controller.BaseController;
import com.mh.common.core.page.TableDataInfo;
import com.mh.system.service.policy.IPolicyManageService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 策略管理
 * @date 2025-04-01 14:51:48
 */
@RestController
@RequestMapping("/policy")
public class PolicyManageController extends BaseController {

    private final IPolicyManageService policyManageService;

    public PolicyManageController(IPolicyManageService policyManageService) {
        this.policyManageService = policyManageService;
    }

    @GetMapping("/list")
    public TableDataInfo getPolicyList(@RequestParam(required = false) String systemType, @RequestParam(required = false) String funPolicyType){
        return getDataTable(policyManageService.selectPolicyList(systemType,funPolicyType));
    }
}
