package com.mh.web.controller.space;

import com.mh.common.core.controller.BaseController;
import com.mh.common.core.domain.AjaxResult;
import com.mh.system.service.space.IHouseInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 空间区域管理
 * @date 2025-02-20 08:34:51
 */
@RestController
@RequestMapping("/space")
public class SpaceController extends BaseController {

    private final IHouseInfoService houseInfoService;

    @Autowired
    public SpaceController(IHouseInfoService houseInfoService) {
        this.houseInfoService = houseInfoService;
    }

    @GetMapping("/tree")
    public AjaxResult tree(@RequestParam(value = "systemType", required = false) String systemType) {
        return AjaxResult.success(houseInfoService.buildTree(systemType));
    }

}
