package com.mh;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.mh.common.core.domain.entity.DeviceReport;
import com.mh.common.core.domain.entity.SysParams;
import com.mh.common.core.domain.entity.SysUser;
import com.mh.common.core.domain.entity.WeatherData;
import com.mh.common.utils.DateUtils;
import com.mh.common.utils.StringUtils;
import com.mh.quartz.task.DealDataTask;
import com.mh.quartz.task.GetWeatherDataTask;
import com.mh.system.mapper.device.DataProcessMapper;
import com.mh.system.service.ISysParamsService;
import com.mh.system.service.ISysUserService;
import com.mh.system.service.device.IDeviceQrManageService;
import jakarta.annotation.Resource;
import org.checkerframework.checker.units.qual.A;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.web.client.RestTemplate;

import java.util.Date;
import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 测试类
 * @date 2025-01-10 11:28:36
 */
@SpringBootTest
public class MHApplicationTest {

    @Autowired
    private IDeviceQrManageService deviceQrManageService;

    @Autowired
    private ISysUserService sysUserService;

    @Test
    public void test() throws Exception {
        SysUser sysUser = sysUserService.selectUserById(1L);
        System.out.println(sysUser);
        deviceQrManageService.createQrCode(10, "admin");
    }

    @Autowired
    private DealDataTask dealDeviceData;

    @Test
    public void dealDeviceData() {
        dealDeviceData.dealDeviceData();
    }

    @Test
    public void dealDeviceDataHour() {
        dealDeviceData.dealDeviceDataHour();
    }

    @Test
    public void dealDay2Year() {
        dealDeviceData.dealDay2Year();
    }

    @Autowired
    private GetWeatherDataTask getWeatherDataTask;

    @Autowired
    private ISysParamsService sysParamsService;

    @Test
    public void getWeatherInfo() {
        getWeatherDataTask.getWeatherInfo();
//        String returnResult = "{\"status\":\"1\",\"count\":\"1\",\"info\":\"OK\",\"infocode\":\"10000\",\"lives\":[{\"province\":\"广东\",\"city\":\"香洲区\",\"adcode\":\"440402\",\"weather\":\"阴\",\"temperature\":\"11\",\"winddirection\":\"东北\",\"windpower\":\"≤3\",\"humidity\":\"86\",\"reporttime\":\"2025-03-30 13:30:41\",\"temperature_float\":\"11.0\",\"humidity_float\":\"86.0\"}]}";
//        if (!StringUtils.isBlank(returnResult)) {
//            JSONObject jsonObject = JSON.parseObject(returnResult);
//            System.out.println(jsonObject);
//            if ("1".equals(jsonObject.get("status"))) {
//                WeatherData weatherData = new WeatherData();
//                weatherData.setProvince(jsonObject.getJSONArray("lives").getJSONObject(0).getString("province"));
//                weatherData.setCity(jsonObject.getJSONArray("lives").getJSONObject(0).getString("city"));
//                weatherData.setAdCode(jsonObject.getJSONArray("lives").getJSONObject(0).getString("adcode"));
//                weatherData.setWeather(jsonObject.getJSONArray("lives").getJSONObject(0).getString("weather"));
//                weatherData.setTemperature(jsonObject.getJSONArray("lives").getJSONObject(0).getInteger("temperature"));
//                weatherData.setHumidity(jsonObject.getJSONArray("lives").getJSONObject(0).getInteger("humidity"));
//                weatherData.setWindDirection(jsonObject.getJSONArray("lives").getJSONObject(0).getString("winddirection"));
//                weatherData.setWindPower(jsonObject.getJSONArray("lives").getJSONObject(0).getString("windpower"));
//                weatherData.setReportTime(DateUtils.stringToDate(jsonObject.getJSONArray("lives").getJSONObject(0).getString("reporttime"), "yyyy-MM-dd HH:mm:ss"));
//                weatherData.setCreatedTime(new Date());
//                System.out.println(weatherData);
//            }
//        }
    }

    @Autowired
    private DataProcessMapper dataProcessMapper;

    @Test
    public void insertDataHour() {
        DeviceReport data = new DeviceReport();
        data.setId(315286L);
        data.setDeviceNum("39001260");
        data.setDeviceCode("39001260");
        data.setDeviceType("5");
        data.setLastValue("388063.97");
        data.setLastTime(DateUtils.stringToDate("2025-04-19 10:00:00", "yyyy-MM-dd HH:mm:ss"));
        data.setCurTime(DateUtils.stringToDate("2025-04-19 10:00:00", "yyyy-MM-dd HH:mm:ss"));
        data.setCurValue("388063.99");
        data.setUsedValue("0.02");
        data.setCalcValue("0.02");
        data.setRatio(1);
        data.setGrade(0);
        System.out.println(data);
        dataProcessMapper.insertTable(data, "data_hour2025");
    }
}
