package com.mh.common.constant;

import java.util.Locale;

import io.jsonwebtoken.Claims;

/**
 * 通用常量信息
 *
 * @author mh
 */
public class Constants {
    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * 系统语言
     */
    public static final Locale DEFAULT_LOCALE = Locale.SIMPLIFIED_CHINESE;

    /**
     * www主域
     */
    public static final String WWW = "www.";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * https请求
     */
    public static final String HTTPS = "https://";

    /**
     * 通用成功标识
     */
    public static final String SUCCESS = "0";

    /**
     * 通用失败标识
     */
    public static final String FAIL = "1";

    /**
     * 登录成功
     */
    public static final String LOGIN_SUCCESS = "Success";

    /**
     * 注销
     */
    public static final String LOGOUT = "Logout";

    /**
     * 注册
     */
    public static final String REGISTER = "Register";

    /**
     * 登录失败
     */
    public static final String LOGIN_FAIL = "Error";

    /**
     * 所有权限标识
     */
    public static final String ALL_PERMISSION = "*:*:*";

    /**
     * 管理员角色权限标识
     */
    public static final String SUPER_ADMIN = "mhtech";

    /**
     * 角色权限分隔符
     */
    public static final String ROLE_DELIMETER = ",";

    /**
     * 权限标识分隔符
     */
    public static final String PERMISSION_DELIMETER = ",";

    /**
     * 验证码有效期（分钟）
     */
    public static final Integer CAPTCHA_EXPIRATION = 2;

    /**
     * 令牌
     */
    public static final String TOKEN = "token";

    /**
     * 令牌前缀
     */
    public static final String TOKEN_PREFIX = "Bearer ";

    /**
     * 令牌前缀
     */
    public static final String LOGIN_USER_KEY = "login_user_key";

    /**
     * 用户ID
     */
    public static final String JWT_USERID = "userid";

    /**
     * 用户名称
     */
    public static final String JWT_USERNAME = Claims.SUBJECT;

    /**
     * 用户头像
     */
    public static final String JWT_AVATAR = "avatar";

    /**
     * 创建时间
     */
    public static final String JWT_CREATED = "created";

    /**
     * 用户权限
     */
    public static final String JWT_AUTHORITIES = "authorities";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";

    /**
     * RMI 远程方法调用
     */
    public static final String LOOKUP_RMI = "rmi:";

    /**
     * LDAP 远程方法调用
     */
    public static final String LOOKUP_LDAP = "ldap:";

    /**
     * LDAPS 远程方法调用
     */
    public static final String LOOKUP_LDAPS = "ldaps:";

    /**
     * 自动识别json对象白名单配置（仅允许解析的包名，范围越小越安全）
     */
    public static final String[] JSON_WHITELIST_STR = {"org.springframework", "com.mh"};

    /**
     * 定时任务白名单配置（仅允许访问的包名，如其他需要可以自行添加）
     */
    public static final String[] JOB_WHITELIST_STR = {"com.mh.quartz.task"};

    /**
     * 定时任务违规的字符
     */
    public static final String[] JOB_ERROR_STR = {"java.net.URL", "javax.naming.InitialContext", "org.yaml.snakeyaml",
            "org.springframework", "org.apache", "com.mh.common.utils.file", "com.mh.common.config", "com.mh.generator"};

    public static final String DAY = "day";
    public static final String MONTH = "month";
    public static final String CLOSE_ORDER = "close_oder";              // 关闭指令
    public static final String HOST_TYPE = "host";                      // 主机设备类型
    public static final String VALVE_TYPE = "Valve";                    // 蝶阀类型
    public static final String COOL_PUMP_TYPE = "coolPump";             // 冷却泵
    public static final String COOL_PUMP_TYPE_STRING = "冷却泵";         // 冷却泵
    public static final String CHILLER_PUMP_TYPE = "chillPump";         // 冷冻泵
    public static final String COOL_TOWER_TYPE = "tower";               // 冷却塔
    public static final String CLOSE_HOST = "close_host_device_id";     // 关闭主机的设备id
    public static final String OPEN_VALVE = "open_valve_device_id";     // 开启蝶阀的设备id
    public static final String CHILLERS = "chillers";
    public static final String OTHER = "other";
    public static final String DEVICE = "devices";
    public static final String CHILLERS_TYPE = "0";                     // 主机类型设备
    public static final String OTHER_TYPE = "1";                        // 其他设备
    public static boolean CONTROL_WEB_FLAG = false;
    public static boolean SEND_STATUS = false;                          // 指令发送状态
    public static boolean FLAG = false;
    public static boolean WEB_FLAG = false;                             // 判断是否有前端指令下发
    public static final String TYPE_DDC = "ddc";                        // 查询ddc指令
    public static final String TYPE_REGISTER = "registers";             // 查询ddc指令
    public static final String DATE_FORMAT = "yyyy-MM-dd HH:mm:ss";     // 格式化时间

    public static final String METER_TYPE = "5";

    public static final String CLOUD_TYPE = "cloud";

    public static final String[] DEVICE_TYPE = {"冷水机组(kwh)", "冷冻泵(kwh)", "冷却泵(kwh)", "冷却塔(kwh)", "其他"};  // 设备类型

    public static final String ADD_TIME = "add_time_";

    public static final String DELETE_TIME = "delete_time_";

    public static final String CP_PID_Type = "CPPIDType";  // 冷却泵PID值

    public static final String OPEN_DEVICES = "open_devices";   // 一键启动设备

    public static final String ADD_CHILLER = "add_chiller";   // 添加主机

    public static final String DELETE_CHILLER = "delete_chiller";   // 减少主机

    // 项目图片存储路径
    public static String PROJECT_IMG_PATH = "\\images\\";

    /**
     * 温度
     */
    public static final String TEMP = "temp";

}
