package com.mh.common.core.domain.dto;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 能耗总览和基本信息
 * @date 2025-03-21 14:06:49
 */
@Getter
public class BigScreenOverviewAndBasicDTO {

    /**
     * 总用电量
     */
    private BigDecimal totalEle;

    /**
     * 总用水量
     */
    private BigDecimal totalWater;

    /**
     * 总冷量
     */
    private BigDecimal totalCold;

    /**
     * 总气量
     */
    private BigDecimal totalGas;

    /**
     * 建筑面积
     */
    private BigDecimal buildingArea;

    /**
     * 用电面积单耗
     */
    private BigDecimal eleUnitArea;

    /**
     * 用水面积单耗
     */
    private BigDecimal waterUnitArea;

    /**
     * 冷量面积单耗
     */
    private BigDecimal coldUnitArea;

    /**
     * 气面积单耗
     */
    private BigDecimal gasUnitArea;

    /**
     * 用电标准煤
     */
    private BigDecimal eleStandardCoal;

    /**
     * 用水标准煤
     */
    private BigDecimal waterStandardCoal;

    /**
     * 冷量标准煤
     */
    private BigDecimal coldStandardCoal;

    /**
     * 气标准煤
     */
    private BigDecimal gasStandardCoal;

    public void setTotalEle(BigDecimal totalEle) {
        this.totalEle = totalEle.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setTotalWater(BigDecimal totalWater) {
        this.totalWater = totalWater.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setTotalCold(BigDecimal totalCold) {
        this.totalCold = totalCold.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setTotalGas(BigDecimal totalGas) {
        this.totalGas = totalGas.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setBuildingArea(BigDecimal buildingArea) {
        this.buildingArea = buildingArea.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setEleUnitArea(BigDecimal eleUnitArea) {
        this.eleUnitArea = eleUnitArea.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setWaterUnitArea(BigDecimal waterUnitArea) {
        this.waterUnitArea = waterUnitArea.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setColdUnitArea(BigDecimal coldUnitArea) {
        this.coldUnitArea = coldUnitArea.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setGasUnitArea(BigDecimal gasUnitArea) {
        this.gasUnitArea = gasUnitArea.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setEleStandardCoal(BigDecimal eleStandardCoal) {
        this.eleStandardCoal = eleStandardCoal.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setWaterStandardCoal(BigDecimal waterStandardCoal) {
        this.waterStandardCoal = waterStandardCoal.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setColdStandardCoal(BigDecimal coldStandardCoal) {
        this.coldStandardCoal = coldStandardCoal.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setGasStandardCoal(BigDecimal gasStandardCoal) {
        this.gasStandardCoal = gasStandardCoal.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("totalEle", totalEle)
                .append("totalWater", totalWater)
                .append("totalCold", totalCold)
                .append("totalGas", totalGas)
                .append("buildingArea", buildingArea)
                .append("eleUnitArea", eleUnitArea)
                .append("waterUnitArea", waterUnitArea)
                .append("coldUnitArea", coldUnitArea)
                .append("gasUnitArea", gasUnitArea)
                .append("eleStandardCoal", eleStandardCoal)
                .append("waterStandardCoal", waterStandardCoal)
                .append("coldStandardCoal", coldStandardCoal)
                .append("gasStandardCoal", gasStandardCoal)
                .toString();
    }
}
