package com.mh.common.core.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

@JsonInclude(JsonInclude.Include.NON_NULL)
class DeviceDTO {

    private String cpmId;
    private int orderNum;
    private String otherName;
    private String curValue;
    private String paramType;
    private Integer alarmStatus;
    /**
     * 时间格式化
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date curTime;
    private Integer status;

    DeviceDTO(TempHumidityDTO data) {
        this.otherName = data.getOtherName();
        this.curValue = data.getCurValue().stripTrailingZeros().toPlainString();
        this.curTime = data.getCurTime();
        this.status = data.getStatus();
        this.paramType = data.getParamType();
        this.alarmStatus = data.getAlarmStatus();
    }

    public Integer getAlarmStatus() {
        return alarmStatus;
    }

    public void setAlarmStatus(Integer alarmStatus) {
        this.alarmStatus = alarmStatus;
    }

    public String getParamType() {
        return paramType;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    public String getCpmId() {
        return cpmId;
    }

    public void setCpmId(String cpmId) {
        this.cpmId = cpmId;
    }

    public int getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(int orderNum) {
        this.orderNum = orderNum;
    }

    public String getOtherName() {
        return otherName;
    }

    public void setOtherName(String otherName) {
        this.otherName = otherName;
    }

    public String getCurValue() {
        return curValue;
    }

    public void setCurValue(String curValue) {
        this.curValue = curValue;
    }

    public Date getCurTime() {
        return curTime;
    }

    public void setCurTime(Date curTime) {
        this.curTime = curTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("otherName", otherName)
                .append("curValue", curValue)
                .append("curTime", curTime)
                .append("status", status)
                .toString();
    }
}
