package com.mh.common.core.domain.dto;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 能源结构数据
 * @date 2025-03-24 15:40:13
 */
@Getter
public class EnergyStructureDTO {

    /**
     * 名称
     */
    private String label;

    /**
     * 能耗值
     */
    private BigDecimal curValue;

    /**
     * 同比值
     */
    private BigDecimal yoyValue;

    /**
     * 环比值
     */
    private BigDecimal momValue;

    /**
     * 同比增长率
     */
    private BigDecimal yoyRate;

    /**
     * 环比增长率
     */
    private BigDecimal momRate;

    private List<?> children;

    public void setLabel(String label) {
        this.label = label;
    }

    public void setCurValue(BigDecimal curValue) {
        if (curValue == null) {
            curValue = BigDecimal.ZERO;
        }
        this.curValue = curValue.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setYoyValue(BigDecimal yoyValue) {
        if (yoyValue == null) {
            yoyValue = BigDecimal.ZERO;
        }
        this.yoyValue = yoyValue.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setMomValue(BigDecimal momValue) {
        if (momValue == null) {
            momValue = BigDecimal.ZERO;
        }
        this.momValue = momValue.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setYoyRate(BigDecimal yoyRate) {
        if (yoyRate == null) {
            yoyRate = BigDecimal.ZERO;
        }
        this.yoyRate = yoyRate.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setMomRate(BigDecimal momRate) {
        if (momRate == null) {
            momRate = BigDecimal.ZERO;
        }
        this.momRate = momRate.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    public void setChildren(List<?> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("label", label)
                .append("curValue", curValue)
                .append("yoyValue", yoyValue)
                .append("momValue", momValue)
                .append("yoyRate", yoyRate)
                .append("momRate", momRate)
                .append("children", children)
                .toString();
    }

}
