package com.mh.common.core.domain.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.ArrayList;
import java.util.List;

// 最终JSON结构类（优化分组逻辑）
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HouseGroupDTO {
    private String houseId;
    private String houseName;
    private int orderNum;
    private List<DeviceDTO> deviceList = new ArrayList<>();

    // 分组构造器
    public HouseGroupDTO(TempHumidityDTO data) {
        this.houseId = data.getHouseId();
        this.houseName = data.getHouseName();
        this.orderNum = data.getOrderNum();
    }

    // 合并设备的方法
    public void merge(HouseGroupDTO other) {
        this.deviceList.addAll(other.deviceList);
    }

    // 添加单个设备
    public void addDevice(TempHumidityDTO data) {
        this.deviceList.add(new DeviceDTO(data));
    }

    public int getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(int orderNum) {
        this.orderNum = orderNum;
    }

    public String getHouseId() {
        return houseId;
    }

    public void setHouseId(String houseId) {
        this.houseId = houseId;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName;
    }

    public List<DeviceDTO> getDeviceList() {
        return deviceList;
    }

    public void setDeviceList(List<DeviceDTO> deviceList) {
        this.deviceList = deviceList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("houseId", houseId)
                .append("houseName", houseName)
                .append("deviceList", deviceList)
                .toString();
    }

}
