package com.mh.common.core.domain.dto;

import com.mh.common.core.domain.vo.IndoorTempVO;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 响应给前端的室内温湿度监测
 * @date 2025-03-16 10:58:39
 */
@Setter
@Getter
public class IndoorTempDTO {

    private String houseId;

    private String houseName;

    private int orderNum;

    private List<IndoorTempVO> dataList;

    public IndoorTempDTO(int orderNum, String houseId, String houseName, List<IndoorTempVO> collect) {
        this.orderNum = orderNum;
        this.houseId = houseId;
        this.houseName = houseName;
        this.dataList = collect;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("orderNum", orderNum)
                .append("houseId", houseId)
                .append("houseName", houseName)
                .append("dataList", dataList)
                .toString();
    }
}
