package com.mh.common.core.domain.dto;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description
 * @date 2025-03-19 11:43:26
 */
@Setter
@Getter
public class ProProfileDTO {

    /**
     * 总耗电量
     */
    private BigDecimal totalEle;

    /**
     * 总冷量
     */
    private BigDecimal totalCold;

    /**
     * z总用水量
     */
    private BigDecimal totalWater;

    /**
     * 总用气量
     */
    private BigDecimal totalGas;

    /**
     * 年耗电量
     */
    private BigDecimal yearEle;

    /**
     * 总冷量
     */
    private BigDecimal yearCold;

    /**
     * 年用水量
     */
    private BigDecimal yearWater;

    /**
     * 年用气量
     */
    private BigDecimal yearGas;

    public ProProfileDTO() {
    }

    public ProProfileDTO(BigDecimal totalEle, BigDecimal totalCold, BigDecimal totalWater, BigDecimal totalGas, BigDecimal yearEle, BigDecimal yearCold, BigDecimal yearWater, BigDecimal yearGas) {
        this.totalEle = totalEle == null ? new BigDecimal("0") : totalEle.setScale(2, BigDecimal.ROUND_HALF_UP);
        this.totalCold = totalCold == null ? new BigDecimal("0") : totalCold.setScale(2, BigDecimal.ROUND_HALF_UP);
        this.totalWater = totalWater == null ? new BigDecimal("0") : totalWater.setScale(2, BigDecimal.ROUND_HALF_UP);
        this.totalGas = totalGas == null ? new BigDecimal("0") : totalGas.setScale(2, BigDecimal.ROUND_HALF_UP);
        this.yearEle = yearEle == null ? new BigDecimal("0") : yearEle.setScale(2, BigDecimal.ROUND_HALF_UP);
        this.yearCold = yearCold == null ? new BigDecimal("0") : yearCold.setScale(2, BigDecimal.ROUND_HALF_UP);
        this.yearWater = yearWater == null ? new BigDecimal("0") : yearWater.setScale(2, BigDecimal.ROUND_HALF_UP);
        this.yearGas = yearGas == null ? new BigDecimal("0") : yearGas.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("totalEle", totalEle)
                .append("totalCold", totalCold)
                .append("totalWater", totalWater)
                .append("totalGas", totalGas)
                .append("yearEle", yearEle)
                .append("yearWater", yearWater)
                .append("yearGas", yearGas)
                .toString();
    }
}
