package com.mh.common.core.domain.dto;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 冷源监视系统性能DTO
 * @date 2025-03-30 15:07:06
 */
@Getter
public class SysPerformanceDTO {

    private BigDecimal realEER;

    private BigDecimal realPower;

    private BigDecimal realCold;

    private BigDecimal yearEER;

    private BigDecimal yearPower;

    private BigDecimal yearCold;

    public void setRealEER(BigDecimal realEER) {
        this.realEER = realEER.setScale(1, BigDecimal.ROUND_HALF_UP);
    }

    public void setRealPower(BigDecimal realPower) {
        this.realPower = realPower.setScale(1, BigDecimal.ROUND_HALF_UP);
    }

    public void setRealCold(BigDecimal realCold) {
        this.realCold = realCold.setScale(1, BigDecimal.ROUND_HALF_UP);
    }

    public void setYearEER(BigDecimal yearEER) {
        this.yearEER = yearEER.setScale(1, BigDecimal.ROUND_HALF_UP);
    }

    public void setYearPower(BigDecimal yearPower) {
        this.yearPower = yearPower.setScale(1, BigDecimal.ROUND_HALF_UP);
    }

    public void setYearCold(BigDecimal yearCold) {
        this.yearCold = yearCold.setScale(1, BigDecimal.ROUND_HALF_UP);
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("realEER", realEER)
                .append("realPower", realPower)
                .append("realCold", realCold)
                .append("yearEER", yearEER)
                .append("yearPower", yearPower)
                .append("yearCold", yearCold)
                .toString();
    }
}
