package com.mh.common.core.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 温湿度DTO管理
 * @date 2025-02-24 16:55:22
 */
public class TempHumidityDTO {

    private String houseId;

    private String houseName;

    private String otherName;

    private BigDecimal curValue;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date curTime;

    private Integer status;

    private int orderNum;

    /**
     * 采集类型
     */
    private String paramType;

    /**
     * 报警状态
     */
    private Integer alarmStatus;

    public Integer getAlarmStatus() {
        return alarmStatus;
    }

    public void setAlarmStatus(Integer alarmStatus) {
        this.alarmStatus = alarmStatus;
    }

    public String getParamType() {
        return paramType;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    public int getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(int orderNum) {
        this.orderNum = orderNum;
    }

    public String getOtherName() {
        return otherName;
    }

    public void setOtherName(String otherName) {
        this.otherName = otherName;
    }

    public String getHouseId() {
        return houseId;
    }

    public void setHouseId(String houseId) {
        this.houseId = houseId;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName;
    }

    public BigDecimal getCurValue() {
        return curValue;
    }

    public void setCurValue(BigDecimal curValue) {
        this.curValue = curValue;
    }

    public Date getCurTime() {
        return curTime;
    }

    public void setCurTime(Date curTime) {
        this.curTime = curTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("houseId", houseId)
                .append("houseName", houseName)
                .append("otherName", otherName)
                .append("curValue", curValue)
                .append("curTime", curTime)
                .append("status", status)
                .toString();
    }
}