package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 报警实时记录表
 * @date 2025-02-18 11:45:49
 */
@TableName("alarm_records")
public class AlarmRecords implements Serializable {

    private static final long serialVersionUID = 100L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 报警内容
     */
    private String content;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 报警类型
     */
    private String alarmType;

    /**
     * 事件类型
     */
    private String eventType;

    /**
     * 报警级别
     */
    private String alarmLevel;

    /**
     * 设备编号
     */
    private String ledgerId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 通讯参数id
     */
    private String cpmId;

    /**
     * 通讯参数名称
     */
    private String cpmName;

    /** 请求参数 */
    @TableField(exist = false)
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getAlarmLevel() {
        return alarmLevel;
    }

    public void setAlarmLevel(String alarmLevel) {
        this.alarmLevel = alarmLevel;
    }

    public String getLedgerId() {
        return ledgerId;
    }

    public void setLedgerId(String ledgerId) {
        this.ledgerId = ledgerId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getCpmId() {
        return cpmId;
    }

    public void setCpmId(String cpmId) {
        this.cpmId = cpmId;
    }

    public String getCpmName() {
        return cpmName;
    }

    public void setCpmName(String cpmName) {
        this.cpmName = cpmName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("content", content)
                .append("createTime", createTime)
                .append("alarmType", alarmType)
                .append("eventType", eventType)
                .append("alarmLevel", alarmLevel)
                .append("ledgerId", ledgerId)
                .append("deviceName", deviceName)
                .append("cpmId", cpmId)
                .append("cpmName", cpmName)
                .append("params", params)
                .toString();
    }

}
