package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.mh.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;
import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 仪表报警规则
 * @date 2025-01-14 15:46:02
 */
@TableName("alarm_rules")
public class AlarmRules extends BaseEntity {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 事件类型
     */
    private String eventType;

    /**
     * 报警等级
     */
    private String alarmLevel;

    /**
     * 报警类型
     */
    private String alarmType;

    /**
     * 设备台账id
     */
    private String ledgerId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 采集仪表参数id
     */
    private String cpmId;

    /**
     * 采集仪表参数名称
     */
    private String cpmName;

    /**
     * 参数编号（仪表编号）
     */
    private String cpmMtNum;

    /**
     * 报警延时时间
     */
    private Integer delayTimes;

    /**
     * 报警时段设置标志（0：全时段，1：自定义时段）
     */
    private Integer timePeriodSet;

    /**
     * 自定义时段开始时间
     */
    private Date beginTime;

    /**
     * 自定义时段结束时间
     */
    private Date endTime;

    /**
     * 选择遥信事件显示：触发事件（0：开，1：关）
     */
    private Integer triggerEvent;

    /**
     * 条件1
     */
    private String condition1;

    /**
     * 阈值1
     */
    private String threshold1;

    /**
     * 条件2
     */
    private String condition2;

    /**
     * 阈值2
     */
    private String threshold2;

    /**
     * 能源节点
     */
    private String energyNode;

    /**
     * 能源类型
     */
    private String energyType;

    /**
     * 状态：0：已启用，1：未启用
     */
    private Integer status;

    @JsonIgnore
    @TableField(exist = false)
    private String searchValue;


    /** 请求参数 */
    @TableField(exist = false)
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String getSearchValue() {
        return searchValue;
    }

    @Override
    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    @Override
    public Map<String, Object> getParams() {
        return params;
    }

    @Override
    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getAlarmLevel() {
        return alarmLevel;
    }

    public void setAlarmLevel(String alarmLevel) {
        this.alarmLevel = alarmLevel;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getLedgerId() {
        return ledgerId;
    }

    public void setLedgerId(String ledgerId) {
        this.ledgerId = ledgerId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getCpmId() {
        return cpmId;
    }

    public void setCpmId(String cpmId) {
        this.cpmId = cpmId;
    }

    public String getCpmName() {
        return cpmName;
    }

    public void setCpmName(String cpmName) {
        this.cpmName = cpmName;
    }

    public String getCpmMtNum() {
        return cpmMtNum;
    }

    public void setCpmMtNum(String cpmMtNum) {
        this.cpmMtNum = cpmMtNum;
    }

    public Integer getDelayTimes() {
        return delayTimes;
    }

    public void setDelayTimes(Integer delayTimes) {
        this.delayTimes = delayTimes;
    }

    public Integer getTimePeriodSet() {
        return timePeriodSet;
    }

    public void setTimePeriodSet(Integer timePeriodSet) {
        this.timePeriodSet = timePeriodSet;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getTriggerEvent() {
        return triggerEvent;
    }

    public void setTriggerEvent(Integer triggerEvent) {
        this.triggerEvent = triggerEvent;
    }

    public String getCondition1() {
        return condition1;
    }

    public void setCondition1(String condition1) {
        this.condition1 = condition1;
    }

    public String getThreshold1() {
        return threshold1;
    }

    public void setThreshold1(String threshold1) {
        this.threshold1 = threshold1;
    }

    public String getCondition2() {
        return condition2;
    }

    public void setCondition2(String condition2) {
        this.condition2 = condition2;
    }

    public String getThreshold2() {
        return threshold2;
    }

    public void setThreshold2(String threshold2) {
        this.threshold2 = threshold2;
    }

    public String getEnergyNode() {
        return energyNode;
    }

    public void setEnergyNode(String energyNode) {
        this.energyNode = energyNode;
    }

    public String getEnergyType() {
        return energyType;
    }

    public void setEnergyType(String energyType) {
        this.energyType = energyType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("eventType", eventType)
                .append("alarmLevel", alarmLevel)
                .append("alarmType", alarmType)
                .append("ledgerId", ledgerId)
                .append("deviceName", deviceName)
                .append("cpmId", cpmId)
                .append("cpmName", cpmName)
                .append("cpmMtNum", cpmMtNum)
                .append("delayTimes", delayTimes)
                .append("timePeriodSet", timePeriodSet)
                .append("beginTime", beginTime)
                .append("endTime", endTime)
                .append("triggerEvent", triggerEvent)
                .append("condition1", condition1)
                .append("threshold1", threshold1)
                .append("condition2", condition2)
                .append("threshold2", threshold2)
                .append("energyNode", energyNode)
                .append("energyType", energyType)
                .toString();
    }
}
