package com.mh.common.core.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author LJF
 * @title ：
 * @description ：冷水机组设备实体类
 * @updateTime 2020-05-20
 * @throws ：
 */
public class ChillersEntity implements Serializable {

    static final long serialVersionUID = 42L;

    private Long id;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private int registerId;
    private String deviceCode;              // 设备代码
    private String deviceNum;               // 设备码
    private String collectionNum;           // 冷水机组采集地址
    private String registerAddress;         // 寄存器地址
    private String registerName;            // 寄存器名称
    private String funCode;                 // 功能码
    private int digit;                      // 保留位数
    private String otherName;               // 别名
    private int grade;                      // 标志 1:冷水机组设备 2:ddc设备采集参数 3:控制指令类型 4:故障类型
    private String lastValue;               // 最新采集数据
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String lastTime;                  // 最新采集时间
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    private Date localTime;                 // 本地采集时间
    private String dataCom;                 // 采集端口号
    private String ddcAddr;                 // DDC地址
    private String deviceType;

    // update by ljf on 2020-05-26 添加网络管理器的IP和采集的端口号
    private String IP;                      // IP地址
    private int port;                       // 端口号

    private Integer paramType;              // 参数类型

    private String curValue;               // 最新采集数据

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date curTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public int getRegisterId() {
        return registerId;
    }

    public void setRegisterId(int registerId) {
        this.registerId = registerId;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceNum() {
        return deviceNum;
    }

    public void setDeviceNum(String deviceNum) {
        this.deviceNum = deviceNum;
    }

    public String getCollectionNum() {
        return collectionNum;
    }

    public void setCollectionNum(String collectionNum) {
        this.collectionNum = collectionNum;
    }

    public String getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(String registerAddress) {
        this.registerAddress = registerAddress;
    }

    public String getRegisterName() {
        return registerName;
    }

    public void setRegisterName(String registerName) {
        this.registerName = registerName;
    }

    public String getFunCode() {
        return funCode;
    }

    public void setFunCode(String funCode) {
        this.funCode = funCode;
    }

    public int getDigit() {
        return digit;
    }

    public void setDigit(int digit) {
        this.digit = digit;
    }

    public String getOtherName() {
        return otherName;
    }

    public void setOtherName(String otherName) {
        this.otherName = otherName;
    }

    public int getGrade() {
        return grade;
    }

    public void setGrade(int grade) {
        this.grade = grade;
    }

    public String getLastValue() {
        return lastValue;
    }

    public void setLastValue(String lastValue) {
        this.lastValue = lastValue;
    }

    public String getLastTime() {
        return lastTime;
    }

    public void setLastTime(String lastTime) {
        this.lastTime = lastTime;
    }

    public String getDataCom() {
        return dataCom;
    }

    public void setDataCom(String dataCom) {
        this.dataCom = dataCom;
    }

    public String getDdcAddr() {
        return ddcAddr;
    }

    public void setDdcAddr(String ddcAddr) {
        this.ddcAddr = ddcAddr;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getIP() {
        return IP;
    }

    public void setIP(String IP) {
        this.IP = IP;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public Integer getParamType() {
        return paramType;
    }

    public void setParamType(Integer paramType) {
        this.paramType = paramType;
    }

    public String getCurValue() {
        return curValue;
    }

    public void setCurValue(String curValue) {
        this.curValue = curValue;
    }

    public Date getCurTime() {
        return curTime;
    }

    public void setCurTime(Date curTime) {
        this.curTime = curTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("createTime", createTime)
                .append("updateTime", updateTime)
                .append("registerId", registerId)
                .append("deviceCode", deviceCode)
                .append("deviceNum", deviceNum)
                .append("collectionNum", collectionNum)
                .append("registerAddress", registerAddress)
                .append("registerName", registerName)
                .append("funCode", funCode)
                .append("digit", digit)
                .append("otherName", otherName)
                .append("grade", grade)
                .append("lastValue", lastValue)
                .append("lastTime", lastTime)
                .append("dataCom", dataCom)
                .append("ddcAddr", ddcAddr)
                .append("deviceType", deviceType)
                .append("IP", IP)
                .append("port", port)
                .append("paramType", paramType)
                .append("curValue", curValue)
                .append("curTime", curTime)
                .toString();
    }
}
