package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.mh.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 数据采集参数配置管理
 * @date 2025-01-13 15:23:40
 */
@Setter
@Getter
@TableName("collection_params_manage")
public class CollectionParamsManage extends BaseEntity {

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 设备台账id
     */
    private String deviceLedgerId;

    /**
     * 仪表类型id
     */
    private String mtType;

    /**
     * 仪表编号
     */
    private String mtNum;

    /**
     * 仪表代码
     */
    private String mtCode;

    /**
     * 寄存器地址
     */
    private String registerAddr;

    /**
     * 功能码
     */
    private String funcCode;

    /**
     * 仪表标识码
     */
    private String identifyCode;

    /**
     * 仪表标定脉冲
     */
    private String mtCaliberPulse;

    /**
     * 仪表范围
     */
    private BigDecimal mtRange;

    /**
     * 仪表比率
     */
    private Integer mtRatio;

    /**
     * 初始值
     */
    private BigDecimal mtInitValue;

    /**
     * 小数位数
     */
    private Integer digits;

    /**
     * 数据类型
     */
    private Integer dataType;

    /**
     * 当前值
     */
    private BigDecimal curValue;

    /**
     * 当前时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date curTime;

    /**
     * 是否是总表累计值
     */
    private Integer mtIsSum;

    /**
     * 单位
     */
    private String unit;

    /**
     * 排序
     */
    private Integer orderNum;

    /**
     * 网关id
     */
    private String gatewayId;

    /**
     * 通信参数id
     */
    private String communicationParamId;

    /**
     * 通讯协议类型
     */
    private String protocolType;

    /**
     * 通讯类型
     */
    private String communicationType;

    /**
     * 读取响应的寄存器大小（创建指令的时候需要）
     */
    private Integer registerSize;

    /**
     * 是否使用
     */
    private Integer isUse;

    /**
     * 别名
     * @return
     */
    private String otherName;

    /**
     * 累计/瞬时 状态标识
     */
    private Integer grade;

    @JsonIgnore
    @TableField(exist = false)
    private String searchValue;

    @TableField(exist = false)
    private Map<String, Object> params;

    /**
     * 参数类型：0:运行状态，1:启停状态，2：频率调节，3：频率反馈
     */
    private String paramType;

    /**
     * 系统类型
     */
    private String systemType;

    /**
     * 采集类别：0：遥测（连续变化参数），1：遥信（离散开关状态）
     */
    private String collectionType;

    /**
     * 终端设备类型实际上就是设备类型
     */
    private String terminalDeviceType;

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("deviceLedgerId", deviceLedgerId)
                .append("mtType", mtType)
                .append("mtNum", mtNum)
                .append("mtCode", mtCode)
                .append("registerAddr", registerAddr)
                .append("funcCode", funcCode)
                .append("identifyCode", identifyCode)
                .append("mtCaliberPulse", mtCaliberPulse)
                .append("mtRange", mtRange)
                .append("mtRatio", mtRatio)
                .append("mtInitValue", mtInitValue)
                .append("digits", digits)
                .append("dataType", dataType)
                .append("curValue", curValue)
                .append("curTime", curTime)
                .append("mtIsSum", mtIsSum)
                .append("unit", unit)
                .append("orderNum", orderNum)
                .append("gatewayId", gatewayId)
                .append("communicationParamId", communicationParamId)
                .append("protocolType", protocolType)
                .append("communicationType", communicationType)
                .append("registerSize", registerSize)
                .append("isUse", isUse)
                .append("otherName", otherName)
                .append("grade", grade)
                .append("searchValue", searchValue)
                .append("params", params)
                .append("paramType", paramType)
                .append("systemType", systemType)
                .append("collectionType", collectionType)
                .append("terminalDeviceType", terminalDeviceType)
                .toString();
    }
}
