package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.mh.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 采集参数和区域、楼栋、楼层、房间的关联表
 * @date 2025-02-20 14:44:35
 */
@Setter
@Getter
@TableName("cpm_space_relation")
public class CpmSpaceRelation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 采集参数id
     */
    private String cpmId;

    /**
     * 区域id
     */
    private String areaId;

    /**
     * 楼栋id
     */
    private String buildingId;

    /**
     * 楼层id
     */
    private String floorId;

    /**
     * 房间id
     */
    private String houseId;

    /**
     * 过滤掉BaseENtity的searchValue，param，remark
     */
    @TableField(exist = false)
    private String remark;

    @JsonIgnore
    @TableField(exist = false)
    private String searchValue;

    /**
     * 请求参数
     */
    @TableField(exist = false)
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("cpmId", cpmId)
                .append("areaId", areaId)
                .append("buildingId", buildingId)
                .append("floorId", floorId)
                .append("houseId", houseId)
                .append("remark", remark)
                .append("searchValue", searchValue)
                .append("params", params)
                .toString();
    }
}
