package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.mh.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 配件出入库流水记录表
 * @date 2025-01-09 15:07:33
 */
@TableName("device_in_out_manage")
public class DeviceInOutManage extends BaseEntity {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 关联到备件的唯一标识符，用于标识具体的备件
     */
    private String sparePartsId;

    /**
     * 备件的名称，便于快速识别
     */
    private String spareName;

    /**
     * 出入库操作类型，0表示入库，1表示出库
     */
    private Integer operaType;

    /**
     * 本次出入库操作的数量，正值表示入库，负值表示出库
     */
    private Integer intOutNum;

    /**
     * 当前备件的库存数量，在每次出入库操作后更新
     */
    private Integer inventoryLevels;

    @JsonIgnore
    @TableField(exist = false)
    private String searchValue;

    /**
     * 备注
     */
    @TableField(exist = false)
    private String remark;

    /**
     * 请求参数
     */
    @TableField(exist = false)
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    @Override
    public String getSearchValue() {
        return searchValue;
    }

    @Override
    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public Map<String, Object> getParams() {
        return params;
    }

    @Override
    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSparePartsId() {
        return sparePartsId;
    }

    public void setSparePartsId(String sparePartsId) {
        this.sparePartsId = sparePartsId;
    }

    public String getSpareName() {
        return spareName;
    }

    public void setSpareName(String spareName) {
        this.spareName = spareName;
    }

    public Integer getOperaType() {
        return operaType;
    }

    public void setOperaType(Integer operaType) {
        this.operaType = operaType;
    }

    public Integer getIntOutNum() {
        return intOutNum;
    }

    public void setIntOutNum(Integer intOutNum) {
        this.intOutNum = intOutNum;
    }

    public Integer getInventoryLevels() {
        return inventoryLevels;
    }

    public void setInventoryLevels(Integer inventoryLevels) {
        this.inventoryLevels = inventoryLevels;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("sparePartsId", sparePartsId)
                .append("spareName", spareName)
                .append("operaType", operaType)
                .append("intOutNum", intOutNum)
                .append("inventoryLevels", inventoryLevels)
                .toString();
    }
}
