package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.mh.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;
import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 设备二维码维护管理
 * @date 2025-01-09 16:42:51
 */
@TableName("device_qr_manage")
public class DeviceQrManage extends BaseEntity {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 二维码序列号
     */
    private String serialNum;

    /**
     * 二维码内容或者文件路径
     */
    private String picContent;

    /**
     * 设备台账id
     */
    private String deviceLedgerId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 绑定时间
     */
    private Date bindTime;

    /**
     * 二维码状态：0：已绑定，1：未绑定
     */
    private Integer status;

    @JsonIgnore
    @TableField(exist = false)
    private String searchValue;

    /**
     * 备注
     */
    @TableField(exist = false)
    private String remark;

    /**
     * 请求参数
     */
    @TableField(exist = false)
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public Map<String, Object> getParams() {
        return params;
    }

    @Override
    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    @Override
    public String getSearchValue() {
        return searchValue;
    }

    @Override
    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSerialNum() {
        return serialNum;
    }

    public void setSerialNum(String serialNum) {
        this.serialNum = serialNum;
    }

    public String getPicContent() {
        return picContent;
    }

    public void setPicContent(String picContent) {
        this.picContent = picContent;
    }

    public String getDeviceLedgerId() {
        return deviceLedgerId;
    }

    public void setDeviceLedgerId(String deviceLedgerId) {
        this.deviceLedgerId = deviceLedgerId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public Date getBindTime() {
        return bindTime;
    }

    public void setBindTime(Date bindTime) {
        this.bindTime = bindTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("serialNum", serialNum)
                .append("picContent", picContent)
                .append("deviceLedgerId", deviceLedgerId)
                .append("deviceName", deviceName)
                .append("bindTime", bindTime)
                .append("status", status)
                .toString();
    }
}
