package com.mh.common.core.domain.entity;

import java.io.Serializable;

/**
 * @author LJF
 * @version 1.0
 * @project NewZhujiang_Server
 * @description 各个设备类型组装成的DTO
 * @date 2023-12-14 15:12:30
 */
public class DeviceTypeEnergy implements Serializable {

    private static final long serialVersionUID = 10L;

    private String calcValue;

    private String deviceNum;

    private String remark;

    private String deviceType;

    private String grade;

    private String timeStr;

    public String getTimeStr() {
        return timeStr;
    }

    public void setTimeStr(String timeStr) {
        this.timeStr = timeStr;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getCalcValue() {
        return calcValue;
    }

    public void setCalcValue(String calcValue) {
        this.calcValue = calcValue;
    }

    public String getDeviceNum() {
        return deviceNum;
    }

    public void setDeviceNum(String deviceNum) {
        this.deviceNum = deviceNum;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceTypeRange() {
        if (Integer.parseInt(this.deviceType) == 0) {
            return "冷水机组(kwh)";
        } else if (Integer.parseInt(this.deviceType) == 2) {
            return "冷冻泵(kwh)";
        } else if (Integer.parseInt(this.deviceType) == 1) {
            return "冷却泵(kwh)";
        } else if (Integer.parseInt(this.deviceType) == 3) {
            return "冷却塔(kwh)";
        } else {
            return "其他";
        }
    }

    public Double getDoubleCalcValue() {
        return  Double.parseDouble(this.calcValue);
    }

    @Override
    public String toString() {
        return "DeviceTypeEnergyEntity{" +
                "calcValue='" + calcValue + '\'' +
                ", deviceNum='" + deviceNum + '\'' +
                ", remark='" + remark + '\'' +
                ", deviceType='" + deviceType + '\'' +
                ", grade='" + grade + '\'' +
                ", timeStr='" + timeStr + '\'' +
                '}';
    }

}
