package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.mh.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 楼层信息表
 * @date 2025-02-19 16:00:57
 */
@Setter
@Getter
@TableName("floor_info")
public class FloorInfo extends BaseEntity {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 区域id
     */
    private String areaId;

    /**
     * 楼栋id
     */
    private String buildingId;

    /**
     * 楼层名称
     */
    private String floorName;

    /**
     * 楼层编号
     */
    private Integer floorNum;

    /**
     * 楼层用处
     */
    private String floorPurpose;

    /**
     * 楼层面积
     */
    private BigDecimal floorArea;

    /**
     * 排序
     */
    private Integer orderNum;

    /**
     * 父id
     */
    private String parentId = "0";

    @JsonIgnore
    @TableField(exist = false)
    private String searchValue;

    /**
     * 请求参数
     */
    @TableField(exist = false)
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("areaId", areaId)
                .append("buildingId", buildingId)
                .append("floorName", floorName)
                .append("floorNum", floorNum)
                .append("floorPurpose", floorPurpose)
                .append("floorArea", floorArea)
                .append("orderNum", orderNum)
                .append("parentId", parentId)
                .append("searchValue", searchValue)
                .append("params", params)
                .toString();
    }
}
