package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.mh.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;
import java.util.Map;

/**
 * @author ljf
 * @title ：
 * @description ：网关管理实体类
 * @updateTime 2020-05-21
 * @throws ：
 */
@TableName("gateway_manage")
public class GatewayManage extends BaseEntity {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;
    private String gwName;                          // 网关名称
    private String gwIp;                            // 网关IP地址
    private String gwAddr;                          // 网关安装地址
    private int port;                               // 端口号
    private int collectionLoop;                     // 采集周期
    private Date connectTime;                       // 最新上线连接时间
    private String internetCard;                    // 物联网卡号
    private int operatorType;                       //  0:中国移动 1:中国联通 2:中国电信
    private int communicationType;                  // 通讯类型
    private int grade;                              // 标志位(连接状态) 0：正常；1：不在线；2：异常
    private Integer status;                             // (连接状态) 0：正常；1：不在线；2：异常

    @JsonIgnore
    @TableField(exist = false)
    private String searchValue;

    /**
     * 请求参数
     */
    @TableField(exist = false)
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGwName() {
        return gwName;
    }

    public void setGwName(String gwName) {
        this.gwName = gwName;
    }

    public String getGwIp() {
        return gwIp;
    }

    public void setGwIp(String gwIp) {
        this.gwIp = gwIp;
    }

    public String getGwAddr() {
        return gwAddr;
    }

    public void setGwAddr(String gwAddr) {
        this.gwAddr = gwAddr;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public int getCollectionLoop() {
        return collectionLoop;
    }

    public void setCollectionLoop(int collectionLoop) {
        this.collectionLoop = collectionLoop;
    }

    public Date getConnectTime() {
        return connectTime;
    }

    public void setConnectTime(Date connectTime) {
        this.connectTime = connectTime;
    }

    public String getInternetCard() {
        return internetCard;
    }

    public void setInternetCard(String internetCard) {
        this.internetCard = internetCard;
    }

    public int getOperatorType() {
        return operatorType;
    }

    public void setOperatorType(int operatorType) {
        this.operatorType = operatorType;
    }

    public int getCommunicationType() {
        return communicationType;
    }

    public void setCommunicationType(int communicationType) {
        this.communicationType = communicationType;
    }

    public int getGrade() {
        return grade;
    }

    public void setGrade(int grade) {
        this.grade = grade;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("gwName", gwName)
                .append("gwIp", gwIp)
                .append("gwAddr", gwAddr)
                .append("port", port)
                .append("collectionLoop", collectionLoop)
                .append("connectTime", connectTime)
                .append("internetCard", internetCard)
                .append("operatorType", operatorType)
                .append("communicationType", communicationType)
                .append("grade", grade)
                .append("status", status)
                .toString();
    }
}
