package com.mh.common.core.domain.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.mh.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

@TableName("maintain_info")
public class MaintainInfo extends BaseEntity {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;               // 编号
    private String deviceId;         // 设备编号
    private String deviceType;       // 设备类型
    private String maintainType;     // 维护类型
    private String maintainPeople;   // 维护人员
    private BigDecimal cost;         // 费用
    private String contents;         // 维保内容
    private String evaluate;         // 评价分数
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date execTime;           // 执行时间
    private Integer spendTimes;       // 花费时间
    private String buildingId;       // 楼栋id

    @JsonIgnore
    @TableField(exist = false)
    private String searchValue;

    /**
     * 备注
     */
    @TableField(exist = false)
    private String remark;

    /**
     * 请求参数
     */
    @TableField(exist = false)
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    @Override
    public String getSearchValue() {
        return searchValue;
    }

    @Override
    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public Map<String, Object> getParams() {
        return params;
    }

    @Override
    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getMaintainType() {
        return maintainType;
    }

    public void setMaintainType(String maintainType) {
        this.maintainType = maintainType;
    }

    public String getMaintainPeople() {
        return maintainPeople;
    }

    public void setMaintainPeople(String maintainPeople) {
        this.maintainPeople = maintainPeople;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public String getContents() {
        return contents;
    }

    public void setContents(String contents) {
        this.contents = contents;
    }

    public String getEvaluate() {
        return evaluate;
    }

    public void setEvaluate(String evaluate) {
        this.evaluate = evaluate;
    }

    public Date getExecTime() {
        return execTime;
    }

    public void setExecTime(Date execTime) {
        this.execTime = execTime;
    }

    public Integer getSpendTimes() {
        return spendTimes;
    }

    public void setSpendTimes(Integer spendTimes) {
        this.spendTimes = spendTimes;
    }

    public String getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(String buildingId) {
        this.buildingId = buildingId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("deviceId", deviceId)
                .append("deviceType", deviceType)
                .append("maintainType", maintainType)
                .append("maintainPeople", maintainPeople)
                .append("cost", cost)
                .append("contents", contents)
                .append("evaluate", evaluate)
                .append("execTime", execTime)
                .append("spendTimes", spendTimes)
                .append("buildingId", buildingId)
                .append("searchValue", searchValue)
                .append("remark", remark)
                .append("params", params)
                .toString();
    }
}
