package com.mh.common.core.domain.entity;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * @author LJF
 * @title ：
 * @description 接收前端传过来的指令
 * @updateTime 2020-05-28
 * @throws ：
 */
@Setter
@Getter
public class OrderEntity {

    private String id;
    private String param;
    private Integer type;           // 0：修改频率，
                                    // 1：修改开关状态,
                                    // 2: 关闭冷却泵之前，查询最近关闭的冷却塔时间
                                    // 3：群控手自动模式切换
                                    // 4：修改温度
                                    // 5：修改压力
                                    // 6：手动，半自动切换
                                    // 7：一键启动、
    private String otherName;       // 别称

    public OrderEntity() {
    }

    public OrderEntity(String id, String param, Integer type, String otherName) {
        this.id = id;
        this.param = param;
        this.type = type;
        this.otherName = otherName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("param", param)
                .append("type", type)
                .append("otherName", otherName)
                .toString();
    }
}
