package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 策略管理
 * @date 2025-04-01 14:26:31
 */
@Setter
@Getter
@TableName("policy_manage")
public class PolicyManage {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 策略类型
     */
    private String policyType;

    /**
     * 策略名称
     */
    private String policyName;

    /**
     * 点位名称
     */
    private String pointName;

    /**
     * 输入类型
     */
    private String inputType;

    /**
     * 输入值
     */
    private BigDecimal curValue;

    /**
     * 单位
     */
    private String unit;

    /**
     * 采集点位名称
     */
    private String cpmId;

    /**
     * 系统类型
     */
    private String systemType;

    /**
     * 功能策略类型
     */
    private String funPolicyType;

    /**
     * 排序
     */
    private int orderNum;

    /**
     * 最小值
     */
    private int min;

    /**
     * 最大值
     */
    private int max;

    /**
     * 保留位数
     */
    private int digits;

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("policyType", policyType)
                .append("policyName", policyName)
                .append("pointName", pointName)
                .append("inputType", inputType)
                .append("unit", unit)
                .append("cpmId", cpmId)
                .append("systemType", systemType)
                .append("funPolicyType", funPolicyType)
                .toString();
    }

}
