package com.mh.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mh.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 系统信息表
 * @date 2025-03-12 11:09:44
 */
@Setter
@Getter
@TableName("sys_params")
public class SysParams extends BaseEntity {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 项目名称
     */
    private String proName;

    /**
     * logo
     */
    private String logo;

    /**
     * 行政区域id（方便获取当前温湿度天气）
     */
    private String proArea;

    /**
     * 项目地址
     */
    private String proAddr;

    /**
     * 建筑面积
     */
    private String buildingArea;

    /**
     * 运营开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operateStartTime;

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("proName", proName)
                .append("logo", logo)
                .append("proArea", proArea)
                .append("proAddr", proAddr)
                .append("buildingArea", buildingArea)
                .append("operateStartTime", operateStartTime)
                .toString();
    }
}
