package com.mh.common.core.domain.vo;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 监控和控制数据传输类
 * @date 2025-03-11 11:26:10
 */
@Setter
@Getter
public class CollectionParamsManageVO {

    private String id;

    private String mtType;

    private String deviceLedgerId;

    private String deviceName;

    private String otherName;

    private BigDecimal curValue;

    private Date curTime;

    private String paramType;

    /**
     * 台账排序
     */
    private int dlOrderNum;

    /**
     * 采集参数排序
     */
    private int cpmOrderNum;

    public BigDecimal getCurValue() {
        return curValue;
    }

    public void setCurValue(BigDecimal curValue) {
        this.curValue = curValue.setScale(2, BigDecimal.ROUND_HALF_UP);
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("mtType", mtType)
                .append("deviceLedgerId", deviceLedgerId)
                .append("deviceName", deviceName)
                .append("otherName", otherName)
                .append("curValue", curValue)
                .append("curTime", curTime)
                .append("paramType", paramType)
                .append("dlOrderNum", dlOrderNum)
                .append("cpmOrderNum", cpmOrderNum)
                .toString();
    }
}
