package com.mh.common.core.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 设备监控响应前端数据格式
 * @date 2025-03-10 15:24:32
 */
@Setter
@Getter
public class DeviceMonitorVO {

    /**
     * id
     */
    private String id;

    /**
     * 设备台账id
     */
    private String deviceLedgerId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 点位名称
     */
    private String collectName;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    /**
     * 采集值
     */
    private String collectValue;

    /**
     * 采集类型
     */
    private String paramType;

    private int orderNum;

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("deviceLedgerId", deviceLedgerId)
                .append("deviceName", deviceName)
                .append("collectName", collectName)
                .append("deviceType", deviceType)
                .append("collectTime", collectTime)
                .append("collectValue", collectValue)
                .append("paramType", paramType)
                .append("orderNum", orderNum)
                .toString();
    }
}
