package com.mh.common.core.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 设备监控响应前端数据格式
 * @date 2025-03-10 15:24:32
 */
@Setter
@Getter
public class DeviceOperateMonitorVO {

    /**
     * ID
     */
    private String id;

    /**
     * 设备名称或者别名
     */
    private String name;

    /**
     * 点位值
     */
    private String value;

    /**
     * 采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    private String paramType;

    private int orderNum;

    private List<DeviceOperateMonitorVO> children;

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("name", name)
                .append("value", value)
                .append("time", time)
                .append("paramType", paramType)
                .append("orderNum", orderNum)
                .append("children", children)
                .toString();
    }
}
