package com.mh.common.core.domain.vo;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.io.Serializable;

/**
 * @author LJF
 * @version 1.0
 * @project NewZhujiang_Server
 * @description 能耗分析接收参数
 * @date 2023/7/18 15:27:17
 */
public class EnergyConsumptionVO implements Serializable {

    private static final long serialVersionUID = 10L;

    /**
     * 查询类型：hour，day，month，year
     */
    private String timeType;

    /**
     * 开始时间yyyy-MM-dd
     */
    private String startTime;

    /**
     * 结束时间：yyyy-MM-dd
     */
    private String endTime;

    /**
     * 设备类型：chiller：主机，chilledWaterPump：冷冻泵，coolingPump：冷却泵，coolingTower：冷却塔
     */
    private String deviceType;

    /**
     * 参数类型：cool，electric，cop
     */
    private String paramType;

    /**
     * 系统类型
     */
    private String systemType;

    public String getSystemType() {
        return systemType;
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public String getTimeType() {
        return timeType;
    }

    public void setTimeType(String timeType) {
        this.timeType = timeType;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getParamType() {
        return paramType;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("timeType", timeType)
                .append("startTime", startTime)
                .append("endTime", endTime)
                .append("deviceType", deviceType)
                .append("paramType", paramType)
                .append("systemType", systemType)
                .toString();
    }

}
