package com.mh.common.core.domain.vo;

import com.mh.common.core.domain.BaseEntity;
import com.mh.common.core.domain.ColumnFilter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.io.Serializable;
import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project NewZhujiang_Server
 * @description 能耗查询公共参数
 * @date 2023-12-13 16:11:24
 */
public class EnergyQueryVO extends BaseEntity implements Cloneable {

    /**
     * 查询类型：hour，day，month，year
     */
    private String timeType;

    /**
     * 开始时间yyyy-MM-dd
     */
    private String startTime;

    /**
     * 结束时间：yyyy-MM-dd
     */
    private String endTime;

    /**
     * 设备类型：chiller：主机，chilledWaterPump：冷冻泵，coolingPump：冷却泵，coolingTower：冷却塔
     */
    private String deviceType;

    /**
     * 参数类型：cool，electric，cop
     */
    private String paramType;

    private List<ColumnFilter> searchParams;

    private int pageNum;

    private int pageSize;

    /**
     * 系统类型
     */
    private String systemType;

    public String getSystemType() {
        return systemType;
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public List<ColumnFilter> getSearchParams() {
        return searchParams;
    }

    public void setSearchParams(List<ColumnFilter> searchParams) {
        this.searchParams = searchParams;
    }

    public String getTimeType() {
        return timeType;
    }

    public void setTimeType(String timeType) {
        this.timeType = timeType;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getParamType() {
        return paramType;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("timeType", timeType)
                .append("startTime", startTime)
                .append("endTime", endTime)
                .append("deviceType", deviceType)
                .append("paramType", paramType)
                .append("searchParams", searchParams)
                .append("pageNum", pageNum)
                .append("pageSize", pageSize)
                .toString();
    }

    @Override
    public EnergyQueryVO clone() {
        try {
            return (EnergyQueryVO) super.clone();
        } catch (CloneNotSupportedException e) {
            throw new AssertionError(); // 通常不会发生
        }
    }

}
