package com.mh.common.core.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 生活热水系统控制界面VO
 * @date 2025-03-14 09:00:37
 */
@Setter
@Getter
public class HotWaterControlVO {

    private String id;

    private String name;

    // 运行状态 1
    private int runningStatus;
    private String runningStatusId;

    // 启停控制 2
    private int switchStatus;
    private String switchStatusId;

    // 频率设置 3
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal frequencySet;
    private String frequencySetId;

    // 频率 4
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal frequency;
    private String frequencyId;

    // 故障状态 5
    private int alarmStatus;
    private String alarmStatusId;

    // 手动自动切换 6
    private int handAutomaticSwitch;
    private String handAutomaticSwitchId;

    // 开控制 8
    private int openSwitch;
    private String openSwitchId;

    // 关控制 9
    private int closeSwitch;
    private String closeSwitchId;

    // 水位设置 10
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0.0")
    private BigDecimal waterLevelSet;
    private String waterLevelSetId;

    // 水位 11
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0.0")
    private BigDecimal waterLevel;
    private String waterLevelId;

    // 温度 12
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal temp;
    private String tempId;

    // 压力 13
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal pressure;
    private String pressureId;

    // 温度设置 14
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal tempSet;
    private String tempSetId;

    // 压力设置 15
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal pressureSet;
    private String pressureSetId;

    // 延时时间设置 34
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal delayTimeSet;
    private String delayTimeSetId;

    // 差值设置 35
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal diffValueSet;
    private String diffValueSetId;

    // 计数器设置 36
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal counterSet;
    private String counterSetId;

    // 切换时间设置 37
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "0")
    private BigDecimal switchTimeSet;
    private String switchTimeSetId;

    // 故障复位状态 38
    private int faultResetStatus;
    private String faultResetStatusId;

    // 急停状态 39
    private int emergencyStopStatus;
    private String emergencyStopStatusId;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date curTime;

    private int orderNum;

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("id", id)
                .append("name", name)
                .append("runningStatus", runningStatus)
                .append("switchStatus", switchStatus)
                .append("frequencySet", frequencySet)
                .append("frequency", frequency)
                .append("alarmStatus", alarmStatus)
                .append("handAutomaticSwitch", handAutomaticSwitch)
                .append("openSwitch", openSwitch)
                .append("closeSwitch", closeSwitch)
                .append("waterLevelSet", waterLevelSet)
                .append("waterLevel", waterLevel)
                .append("temp", temp)
                .append("pressure", pressure)
                .append("tempSet", tempSet)
                .append("pressureSet", pressureSet)
                .append("delayTimeSet", delayTimeSet)
                .append("diffValueSet", diffValueSet)
                .append("counterSet", counterSet)
                .append("switchTimeSet", switchTimeSet)
                .append("faultResetStatus", faultResetStatus)
                .append("emergencyStopStatus", emergencyStopStatus)
                .append("curTime", curTime)
                .append("orderNum", orderNum)
                .toString();
    }
}
