package com.mh.common.core.domain.vo;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 室内温湿度监测
 * @date 2025-03-16 10:23:00
 */
@Setter
@Getter
public class IndoorTempVO {

    private String curTime;

    private BigDecimal indoorTemp;

    private BigDecimal indoorHumidity;

    public IndoorTempVO() {
    }

    public IndoorTempVO(String curTime, BigDecimal indoorTemp, BigDecimal indoorHumidity) {
        this.curTime = curTime;
        this.indoorTemp = indoorTemp;
        this.indoorHumidity = indoorHumidity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("curTime", curTime)
                .append("indoorTemp", indoorTemp)
                .append("indoorHumidity", indoorHumidity)
                .toString();
    }

}
