package com.mh.common.enums;

import java.util.Objects;

/**
 * @author LJF
 * @version 1.0
 * @project NewZhujiang_Server
 * @description 操作控制类型
 * @date 2023/8/8 15:07:40
 */
public enum ControlTypeEnum {

    // 0：修改频率，
    // 1：修改开关状态 0:关闭，1：启动,
    // 2: 关闭冷却泵之前，查询最近关闭的冷却塔时间
    // 3：群控手自动模式切换
    // 4：修改温度
    // 5：修改压力
    control1(0,"修改频率"),
    control2(1,"修改开关状态"),
    control3(2,"关闭冷却泵之前，查询最近关闭的冷却塔时间"),
    control4(3,"群控手自动模式切换"),
    control5(4,"修改温度"),
    control6(5,"修改压力")
    ;

    private Integer type;

    private String control;

    ControlTypeEnum() {
    }

    ControlTypeEnum(Integer type, String control) {
        this.type = type;
        this.control = control;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getControl() {
        return control;
    }

    public void setControl(String control) {
        this.control = control;
    }

    public static String getByType(Integer type) {
        for (ControlTypeEnum value : values()) {
            if (null != type && Objects.equals(value.getType(), type)) {
                return value.getControl();
            }
        }
        return null;
    }

}
