package com.mh.framework.mqtt.config;

import com.mh.common.constant.ChannelName;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.integration.channel.DirectChannel;
import org.springframework.integration.channel.ExecutorChannel;
import org.springframework.messaging.MessageChannel;

/**
 * @author LJF
 * @version 1.0
 * @project springboot-mqtt-demo
 * @description 声明所有通道的定义类
 * @date 2024-10-29 16:23:32
 */
@Slf4j
@Configuration
public class MqttMessageChannel {

    @Bean(name = ChannelName.OUTBOUND)
    public MessageChannel outboundChannel() {
        return new DirectChannel();
    }

    @Bean(name = ChannelName.INBOUND)
    public MessageChannel inboundChannel() {
        return new DirectChannel();
    }

    /**
     * 事件主动上报通道
     * @return
     */
    @Bean(name = ChannelName.EVENTS_UPLOAD_INBOUND)
    public MessageChannel eventsUploadInbound() {
        return new DirectChannel();
    }

    @Bean(name = ChannelName.EVENTS_COLLECTION_INBOUND)
    public MessageChannel eventsCollectionInbound() {
        return new DirectChannel();
    }

    @Bean(name = ChannelName.EVENTS_CONTROL_INBOUND)
    public MessageChannel eventsControlInbound() {
        return new DirectChannel();
    }

    @Bean(name = ChannelName.EVENTS_SEND_INBOUND)
    public MessageChannel eventsSendInbound() {
        return new DirectChannel();
    }

}
