package com.mh.framework.mqtt.service;

import org.springframework.messaging.MessageHeaders;

import java.io.IOException;

/**
 * @author LJF
 * @version 1.0
 * @project springboot-mqtt-demo
 * @description 通道处理类
 * @date 2024-11-05 11:30:26
 */
public interface IEventsService {

    /**
     * 处理主动上报
     * @param receiver
     * @param headers
     * @return
     */
    void handleInboundUpload(byte[] receiver, MessageHeaders headers) throws IOException;


    /**
     * 处理服务器主动采集上报
     * @param receiver
     * @param headers
     * @return
     */
    void handleInboundCollection(byte[] receiver, MessageHeaders headers) throws IOException;

    /**
     * 处理控制上报
     * @param receiver
     * @param headers
     * @return
     */
    void handleInboundControl(byte[] receiver, MessageHeaders headers) throws IOException;

    /**
     * 处理发送
     * @param receiver
     * @param headers
     * @throws IOException
     */
    void handleInboundSend(byte[] receiver, MessageHeaders headers) throws IOException;

}
