package com.mh.framework.mqtt.service;

import com.mh.common.constant.ChannelName;
import org.springframework.context.annotation.Configuration;
import org.springframework.integration.annotation.MessagingGateway;
import org.springframework.integration.mqtt.support.MqttHeaders;
import org.springframework.messaging.handler.annotation.Header;
import org.springframework.stereotype.Component;

/**
 * @author LJF
 * @version 1.0
 * @project springboot-mqtt
 * @description 消息网关
 * @date 2024-10-30 14:43:55
 */
//@Component
//@Configuration
//@MessagingGateway(defaultRequestChannel = ChannelName.OUTBOUND)
public interface IMqttGatewayService {

    /**
     * 发送消息
     * @param topic
     * @param payload
     */
    void publish(String topic, String payload, int qos);

    /**
     * 发送消息
     * @param topic
     * @param payload
     */
    void publish(String topic, byte[] payload);

    /**
     * 发送消息并带上qos
     * @param topic
     * @param payload
     * @param qos
     */
    void publish(String topic, byte[] payload, int qos);
}
