package com.mh.framework.mqtt.service;

import org.springframework.integration.mqtt.support.MqttHeaders;
import org.springframework.messaging.handler.annotation.Header;

/**
 * @author LJF
 * @version 1.0
 * @project springboot-mqtt-demo
 * @description mqtt订阅主题
 * @date 2024-10-29 17:29:52
 */
public interface IMqttTopicService {

    /**
     * 订阅主题
     * @param topic
     */
    void subscribe(@Header(MqttHeaders.TOPIC) String topic);

    /**
     * 订阅主题并设置qos
     * @param topic
     * @param qos
     */
    void subscribe(@Header(MqttHeaders.TOPIC) String topic, int qos);

    /**
     * 解绑主题
     * @param topic
     */
    void unsubscribe(@Header(MqttHeaders.TOPIC) String topic);

    /**
     * 获取已订阅的主题
     * @return
     */
    String[] getSubscribedTopics();

}
