package com.mh.framework.mqtt.service.impl;

import com.mh.framework.mqtt.service.IMqttTopicService;
import jakarta.annotation.Resource;
import org.eclipse.paho.client.mqttv3.MqttAsyncClient;
import org.springframework.integration.mqtt.core.MqttPahoClientFactory;
import org.springframework.integration.mqtt.inbound.MqttPahoMessageDrivenChannelAdapter;
import org.springframework.stereotype.Service;

/**
 * @author LJF
 * @version 1.0
 * @project springboot-mqtt-demo
 * @description 订阅主题实现类
 * @date 2024-10-29 17:36:31
 */
@Service
public class MqttTopicServiceImpl implements IMqttTopicService {

    @Resource
    private MqttPahoMessageDrivenChannelAdapter adapter;

    @Override
    public void subscribe(String topic) {
        adapter.addTopic(topic);
    }

    @Override
    public void subscribe(String topic, int qos) {
        adapter.addTopic(topic, qos);
    }

    @Override
    public void unsubscribe(String topic) {
        adapter.removeTopic(topic);
    }

    @Override
    public String[] getSubscribedTopics() {
        return adapter.getTopic();
    }
}
