package com.mh.framework.rabbitmq.producer;

import com.mh.common.model.request.AdvantechReceiver;
import com.mh.framework.rabbitmq.RabbitMqConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Author : ljf
 * @date : 2025-02-07
 */
@Component
@Slf4j
public class SendMsgByTopic {
    @Autowired
    RabbitTemplate rabbitTemplate;

    /**主机数据报文注入rabbitmq*/
    public String sendToChillerMQ(String data){
        rabbitTemplate.convertAndSend(RabbitMqConfig.EXCHANGE_NAME,"topic.chillers.eemcs.data",data);
        return "success";
    }

    /**电表等数据注入rabbitmq*/
    public String sendToDeviceMQ(String data){
        rabbitTemplate.convertAndSend(RabbitMqConfig.EXCHANGE_NAME,"topic.devices.eemcs.data",data);
        return "success";
    }

    /**ddc等数据注入rabbitmq*/
    public String sendToOtherMQ(String data) {
        rabbitTemplate.convertAndSend(RabbitMqConfig.EXCHANGE_NAME,"topic.other.eemcs.data",data);
        return "success";
    }

    /**温湿度报文注入rabbitmq*/
    public String sendToTempMQ(String data){
        rabbitTemplate.convertAndSend(RabbitMqConfig.EXCHANGE_NAME,"topic.temp.eemcs.data",data);
        return "success";
    }
}
