package com.mh.quartz.task;

import com.mh.system.service.device.IMaintainInfoService;
import com.mh.system.service.device.impl.MaintainInfoServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 定时处理维保统计
 * @date 2025-02-26 18:09:32
 */
@Component("createMaintainTask")
public class CreateMaintainTask {

    private final IMaintainInfoService maintainInfoService;

    @Autowired
    public CreateMaintainTask(IMaintainInfoService maintainInfoService) {
        this.maintainInfoService = maintainInfoService;
    }

    public void createMaintainTask() {
        SimpleDateFormat sdf1 = new SimpleDateFormat("yyyy-MM-dd");
        Date date = new Date();
        String curDate = sdf1.format(date);
        maintainInfoService.createMaintainTask(curDate);
    }
}
