package com.mh.quartz.task;

import com.mh.system.service.device.IDeviceLedgerService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 更新在线状态
 * @date 2025-04-27 09:32:08
 */
@Slf4j
@Component("dealOnOrOffData")
public class DealOnOrOffData {

    private IDeviceLedgerService deviceLedgerService;

    public DealOnOrOffData(IDeviceLedgerService deviceLedgerService) {
        this.deviceLedgerService = deviceLedgerService;
    }

    public void dealDeviceLedger() {
        log.info("处理设备在线状态数据");
        deviceLedgerService.updateDeviceLedgerStatus();
    }

}
