package com.mh.system.mapper.device;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.common.core.domain.entity.DeviceLedger;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 设备台账管理
 * @date 2025-01-10 16:59:47
 */
@Mapper
public interface DeviceLedgerMapper extends BaseMapper<DeviceLedger> {

    @Update("update device_ledger set status = 0, update_time = current_timestamp where id = #{id}")
    void updateOnlineStatus(@Param("id") String deviceLedgerId);

    @Update("update device_ledger set status = #{status}, update_time = current_timestamp where id = #{id}")
    void updateOnlineOrOfflineStatus(@Param("id") String deviceLedgerId, @Param("status") int integer);
}
