package com.mh.system.mapper.device;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.common.core.domain.entity.MaintainInfo;
import com.mh.common.core.domain.entity.MaintainSum;
import org.apache.ibatis.annotations.*;
import org.apache.ibatis.mapping.StatementType;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 维保管理mapper
 * @date 2025-01-08 17:31:03
 */
@Mapper
public interface MaintainInfoMapper extends BaseMapper<MaintainInfo> {

    @Results(value = {
            @Result(property="curDate",column="cur_date"),
            @Result(property="buildingId",column="building_id"),
            @Result(property="dayNum",column="day_num"),
            @Result(property="dayP",column="day_p"),
            @Result(property ="weekNum",column ="week_num"),
            @Result(property ="weekP",column ="week_p"),
            @Result(property ="monthNum",column ="month_num"),
            @Result(property="monthP",column="month_p"),
            @Result(property="yearNum",column="year_num"),
            @Result(property="yearP",column="year_p")
    })
    @Select("select * from maintain_sum  where  building_id=#{buildingId} and cur_date=#{curDate}")
    MaintainSum queryMaintainSum(@Param("buildingId") String buildingId, @Param("curDate") String curDate);

    //汇总维保量
    @Select("exec pro_maintain_sum #{curDate,jdbcType=VARCHAR,mode=IN} ")
    @Options(statementType = StatementType.CALLABLE)
    void proMaintainSum(@Param("curDate") String curDate);
}
