package com.mh.system.mapper.energy;

import com.mh.common.core.domain.entity.DataMonth;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 大屏sql查询
 * @date 2025-03-21 14:46:18
 */
@Mapper
public interface BigScreenMapper {

    @Select("<script>" +
            "select coalesce(sum(dm.calc_value), 0) from ${tableName} dm  " +
            "where exists( " +
            "select " +
            " 1 " +
            "from " +
            " collection_params_manage cpm " +
            "where " +
            " cpm.param_type = #{paramType} " +
            "  and cpm.grade = #{grade} " +
            "  and cpm.mt_is_sum = #{mtIsSum} " +
            "  and cpm.mt_num = dm.device_num  " +
            "<if test='systemType != null and systemType != \"\"'>" +
            "  and cpm.system_type = #{systemType} " +
            "</if>" +
            "  ) " +
            "  and dm.cur_time between #{startTime}::timestamp and #{endTime}::timestamp " +
            "</script>")
    BigDecimal selectOverviewData(@Param("tableName") String tableName,
                                  @Param("paramType") String paramType,
                                  @Param("startTime") String startTime,
                                  @Param("endTime") String endTime,
                                  @Param("mtIsSum") int mtIsSum,
                                  @Param("grade") int grade,
                                  @Param("systemType") String systemType);

    @Select("<script>" +
            "select * from ${tableName} dm  " +
            "where exists( " +
            "select " +
            " 1 " +
            "from " +
            " collection_params_manage cpm " +
            "where " +
            " cpm.param_type = #{paramType} " +
            "  and cpm.grade = #{grade} " +
            "  and cpm.mt_is_sum = #{mtIsSum} " +
            "  and cpm.mt_num = dm.device_num  " +
            "<if test='systemType != null and systemType != \"\"'>" +
            "  and cpm.system_type = #{systemType} " +
            "</if>" +
            "  ) " +
            "  and dm.cur_time between #{startTime}::timestamp and #{endTime}::timestamp " +
            "</script>")
    List<DataMonth> selectDataByRangeTime(@Param("tableName") String tableName,
                                          @Param("paramType") String paramType,
                                          @Param("startTime") String startTime,
                                          @Param("endTime") String endTime,
                                          @Param("mtIsSum") int mtIsSum,
                                          @Param("grade") int grade,
                                          @Param("systemType") String systemType);
}
