package com.mh.system.mapper.policy;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.common.core.domain.entity.PolicyManage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 策略管理
 * @date 2025-04-01 15:11:28
 */
@Mapper
public interface PolicyManageMapper extends BaseMapper<PolicyManage> {

    @Select("select pm.*,cpm.cur_value from policy_manage pm " +
            " left join collection_params_manage cpm on pm.cpm_id = cpm.id " +
            " where pm.system_type = #{systemType} and pm.fun_policy_type = #{funPolicyType} order by pm.policy_type, pm.order_num ")
    List<PolicyManage> selectPolicyList(@Param("systemType") String systemType,
                                        @Param("funPolicyType") String funPolicyType);

    @Select("select pm.* from policy_manage pm where pm.cpm_id = #{cpmId} limit 1")
    PolicyManage selectOntByCpmId(@Param("cpmId") String cpmId);
}
