package com.mh.system.mapper.space;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.common.core.domain.entity.HouseInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 房间管理
 * @date 2025-02-19 18:41:31
 */
@Mapper
public interface HouseInfoMapper extends BaseMapper<HouseInfo> {

    @Select("select " +
            " ai.area_name, " +
            " bi.building_name , " +
            " fi.floor_name , " +
            " hi.area_id , " +
            " hi.building_id , " +
            " hi.floor_id , " +
            " hi.id, " +
            " hi.house_name, " +
            " ai.order_num as ai_order_num, " +
            " bi.order_num as bi_order_num, " +
            " fi.order_num as fi_order_num, " +
            " hi.order_num as hi_order_num " +
            "from " +
            " house_info hi " +
            "join floor_info fi  " +
            "on " +
            " hi.floor_id = fi.id " +
            "join building_info bi  " +
            "on " +
            " hi.building_id = bi.id " +
            "join area_info ai  " +
            "on " +
            " hi.area_id = ai.id")
    List<Map<String, Object>> selectTree();
}
