package com.mh.system.service.device;

import com.mh.common.core.domain.ColumnFilter;
import com.mh.common.core.domain.dto.DeviceMonitorDTO;
import com.mh.common.core.domain.dto.HotWaterControlDTO;
import com.mh.common.core.domain.dto.HotWaterNowDataDTO;
import com.mh.common.core.domain.dto.PumpInfoDTO;
import com.mh.common.core.domain.entity.ChillersEntity;
import com.mh.common.core.domain.entity.CollectionParamsManage;
import com.mh.common.core.domain.vo.DeviceOperateMonitorVO;

import java.util.ArrayList;
import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 设备采集参数
 * @date 2025-01-13 16:31:08
 */
public interface ICollectionParamsManageService {

    List<CollectionParamsManage> selectCollectionParamsManageList(CollectionParamsManage communicationParams);

    CollectionParamsManage selectCollectionParamsManageById(String cpmId);

    int insertCollectionParamsManage(CollectionParamsManage communicationParams);

    int updateCollectionParamsManage(CollectionParamsManage communicationParams);

    int deleteCommunicationByIds(String[] cpmIds);

    List<CollectionParamsManage> queryAllDevice();

    List<CollectionParamsManage> queryCollectionParamsByMtType(String mtType);

    void updateCollectionParamsManages(ArrayList<CollectionParamsManage> chillersEntities);

    List<PumpInfoDTO> selectPumpListInfo(String registerAddr, String mtType);

    List<ChillersEntity> lineData(String registerAddr, String mtType);

    List<DeviceMonitorDTO> selectMonitorListBySystemType(String systemType);

    List<DeviceOperateMonitorVO> operationDeviceList(String systemType);

    /**
     * 查询生活热水系统设备监视公共信息内容
     * @param systemType
     * @param buildingId
     * @return
     */
    List<ColumnFilter> monitorPublic(String systemType, String buildingId);

    /**
     * 查询生活热水系统设备监视列表
     * @param systemType
     * @param floorId
     * @return
     */
    List<HotWaterNowDataDTO> monitorList(String systemType, String floorId);

    /**
     * 获取生活热水系统设备操作信息列表
     * @param systemType
     * @param floorId
     * @return
     */
    List<HotWaterControlDTO> operateList(String systemType, String floorId);

    /**
     * 获取风柜系统相关控制信息
     * @param systemType
     * @param houseId
     * @return
     */
    List<DeviceMonitorDTO> selectMonitorListBySystemTypeAndHouseId(String systemType, String houseId);
}
