package com.mh.system.service.device;

import com.mh.common.core.domain.dto.SysPerformanceDTO;
import com.mh.common.core.domain.entity.CollectionParamsManage;

import java.util.HashMap;
import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 冷源系统监控服务类
 * @date 2025-03-30 10:28:22
 */
public interface ICoolingSystemMonitorService {

    /**
     * 获取天气数据
     * @return
     */
    Map<String, String> getWeatherData();

    /**
     * 获取运行时间
     * @return
     */
    Map<String, String> getRunTime();

    /**
     * 获取系统性能数据
     * @return
     */
    SysPerformanceDTO getSysPerformance();

    CollectionParamsManage getOneKeyButton(String systemType, String paramType);

    HashMap<String, Object> getSystemMode(String systemType, String paramType);
}
