package com.mh.system.service.device;

import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.mh.common.core.domain.dto.HouseGroupDTO;
import com.mh.common.core.domain.dto.IndoorTempDTO;
import com.mh.common.core.domain.dto.TempHisRequest;
import com.mh.common.core.domain.entity.ChillersEntity;
import com.mh.common.core.domain.vo.IndoorTempVO;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 室内温湿度查询
 * @date 2025-02-21 16:32:02
 */
public interface IIndoorTempMonitorService {

    List<HouseGroupDTO> getIndoorTempByFloor(String systemType, String floorId) throws JsonProcessingException;

    List<IndoorTempVO> getIndoorTempHisByFloorAndHouseId(String systemType, String floorId, String houseId);

    List<IndoorTempDTO> getIndoorTempHisByHouseId(TempHisRequest tempHisRequest);
}
