package com.mh.system.service.device.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.mh.common.core.domain.entity.CommunicationParams;
import com.mh.system.mapper.device.CommunicationParamsMapper;
import com.mh.system.service.device.ICommunicationParamsService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 设备采集通信参数配置实现类
 * @date 2025-01-08 16:33:54
 */
@Service
public class CommunicationParamsServiceImpl implements ICommunicationParamsService {

    @Resource
    private CommunicationParamsMapper communicationParamsMapper;

    @Override
    public List<CommunicationParams> selectCmPList(CommunicationParams communicationParams) {
        if (communicationParams == null) {
            return List.of();
        }
        QueryWrapper<CommunicationParams> queryWrapper = new QueryWrapper<>();
        if (communicationParams.getMtType() != null) {
            queryWrapper.eq("mt_type", communicationParams.getMtType());
        }
        queryWrapper.orderByAsc("mt_type");
        return communicationParamsMapper.selectList(queryWrapper);
    }

    @Override
    public CommunicationParams selectCommunicationParamsById(String cmpId) {
        return communicationParamsMapper.selectById(cmpId);
    }

    @Override
    public int insertCommunicationParams(CommunicationParams communicationParams) {
        return communicationParamsMapper.insert(communicationParams);
    }

    @Override
    public int updateCommunicationParams(CommunicationParams communicationParams) {
        return communicationParamsMapper.updateById(communicationParams);
    }

    @Override
    public int deleteCommunicationByIds(String[] cmpIds) {
        if (cmpIds != null && cmpIds.length > 0) {
            for (String cmpId : cmpIds) {
                communicationParamsMapper.deleteById(cmpId);
            }
            return cmpIds.length;
        }
        return 0;
    }
}
