package com.mh.system.service.device.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.mh.common.core.domain.entity.GatewayManage;
import com.mh.common.utils.StringUtils;
import com.mh.system.mapper.device.GatewayManageMapper;
import com.mh.system.service.device.IGatewayManageService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project EEMCS
 * @description 网关管理接口实现类
 * @date 2025-01-08 14:48:17
 */
@Service
public class GatewayManageServiceImpl implements IGatewayManageService {

    @Resource
    private GatewayManageMapper gatewayManageMapper;

    @Override
    public List<GatewayManage> selectGwManageList(GatewayManage gatewayManage) {
        QueryWrapper<GatewayManage> queryWrapper = new QueryWrapper<>();
        if (!StringUtils.isEmpty(gatewayManage.getGwName())) {
            queryWrapper.like("gw_name", gatewayManage.getGwName());
        }
        if (gatewayManage.getStatus() != null) {
            queryWrapper.eq("status", gatewayManage.getStatus());
        }
        if (!StringUtils.isEmpty(gatewayManage.getCreateBy())) {
            queryWrapper.like("create_by", gatewayManage.getCreateBy());
        }
        queryWrapper.orderByDesc("create_time");
        return gatewayManageMapper.selectList(queryWrapper);
    }

    @Override
    public GatewayManage selectGwManageById(String gwId) {
        return gatewayManageMapper.selectById(gwId);
    }

    @Override
    public int insertGatewayManage(GatewayManage gatewayManage) {
        return gatewayManageMapper.insert(gatewayManage);
    }

    @Override
    public int updateGateway(GatewayManage gatewayManage) {
        return gatewayManageMapper.updateById(gatewayManage);
    }

    @Override
    public int deleteGatewayByIds(String[] gatewayIds) {
        if (gatewayIds != null && gatewayIds.length > 0) {
            for (String gatewayId : gatewayIds) {
                gatewayManageMapper.deleteById(gatewayId);
            }
            return gatewayIds.length;
        }
        return 0;
    }
}
